Screen freezes after laptop lid closed for more than 1 minute

Bug #772925 reported by rkrizan on 2011-04-29
116
This bug affects 24 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Low
Unassigned

Bug Description

Ubuntu (classic gnome) screen freezes after the laptop lid is closed for any longer than about a minute. Cursor still works, rest of screen is unresponsive.

Matthew Woerly (nattgew) wrote :

I'm getting the same thing with Unity in Ubuntu 11.04
Some useful info you should provide....
Version of Ubuntu
Graphics card you have

rkrizan (ryankrizan) wrote :

Ubuntu 11.04, fresh install, not upgrade, onboard intel graphics.

00:02.0 VGA compatible controller: Intel Corporation Mobile 4 Series Chipset Integrated Graphics Controller (rev 07) (prog-if 00 [VGA controller])
 Subsystem: Dell Device 02aa
 Flags: bus master, fast devsel, latency 0, IRQ 46
 Memory at f6c00000 (64-bit, non-prefetchable) [size=4M]
 Memory at e0000000 (64-bit, prefetchable) [size=256M]
 I/O ports at efe8 [size=8]
 Expansion ROM at <unassigned> [disabled]
 Capabilities: <access denied>
 Kernel driver in use: i915
 Kernel modules: i915

rkrizan (ryankrizan) wrote :

After a little bit of testing, it appears to have something to do with "Blank screen" selected when laptop lid is closed, and having "Lock screen when screen saver is active" deselected/disabled. I have left the "Blank Screen" option when laptop lid is closed enabled, however, re-enabled the Lock Screen when screen saver is active option, and I'm seemingly not having this issue. Will know more in a few days.

David Precious (bigpresh) wrote :

I'm having the same problems on a Dell Inspiron 17R (N7010) laptop running 11.04 with similar Intel onboard graphics:

00:02.0 VGA compatible controller: Intel Corporation Core Processor Integrated Graphics Controller (rev 18) (prog-if 00 [VGA controller])
        Subsystem: Dell Device 0457
        Flags: bus master, fast devsel, latency 0, IRQ 41
        Memory at f0000000 (64-bit, non-prefetchable) [size=4M]
        Memory at d0000000 (64-bit, prefetchable) [size=256M]
        I/O ports at 1800 [size=8]
        Expansion ROM at <unassigned> [disabled]
        Capabilities: <access denied>
        Kernel driver in use: i915
        Kernel modules: i915

The problem seems to happen when the lid has been closed when I've left the laptop; when I return and unlock the screen, all windows are visible, the mouse pointer moves, but nothing responds to input. The clock will be showing the time at which it stopped responding, it seems, and the system load applet does not update.

I can switch to another terminal (e.g. Ctrl + Alt + F1) and the system appears to be responding perfectly well. I can kill X (sudo pkill X) and switch back to terminal 7, and log back in (as gdm restarts).

David Precious (bigpresh) wrote :

Additional information: I can trigger the screensaver and lock the laptop with Ctrl + Alt + L then unlock, and everything is still responding. I can also close the lid (observing the screen being shut off) then re-open it, with no problems. It seems to only be when the laptop has been left unattended for a while.

rkrizan (ryankrizan) wrote :

Further info, after complete hard drive failure (unrelated, I hope), new hard drive, and a 100% fresh install with all updates, issue still persists. If I swap "Blank Screen" for "Suspend" everything works as it should without any hiccups.

David Precious (bigpresh) wrote :

I found a recommendation to disable the "Sync to vblank" option, which seems to have solved the issue for me; I wrote about it, along with links to the information I'd found, at http://www.preshweb.co.uk/2011/05/ubuntu-11-04-x-freezing-after-screensaver-active-laptop-lid-closed/ - that may be of use to anyone else experiencing this issue.

rkrizan (ryankrizan) wrote :

Thanks for the info, David. I'll test it myself and report back here.

rkrizan (ryankrizan) wrote :

Update: Issue persists.

Juan Iguana (cisneros-jc) wrote :

I tried solution #7 and the bug persists.

Jean Demange (jea-demange) wrote :

Same issue for me. I've got an acer timeline 5810TZ with an ati 4300 and an intel integrated. As the vga_switcheroo does not work properly, I'm using a patch which desactivate the ati card so the bug happens on the intel chipset.

When I close my computer,sometimes after a while when I reopen it, I can enter my password in order to unlock the screen, I find the same screen I left but nothing respond except the mouse. I can go to another tty, do what I want in tty as restart gdm or restart the computer.
Sometimes, when I reopen the computer, the screen is black with backlight and I cannot enter my password. I think it's the same bug.

>> lspci | grep VGA
     00:02.0 VGA compatible controller: Intel Corporation Mobile 4 Series Chipset Integrated Graphics Controller (rev 07)
     01:00.0 VGA compatible controller: ATI Technologies Inc M92 LP [Mobility Radeon HD 4300 Series] (rev ff)

00:02.0 VGA compatible controller: Intel Corporation Mobile 4 Series Chipset Integrated Graphics Controller (rev 07) (prog-if 00 [VGA controller])
 Subsystem: Acer Incorporated [ALI] Device 023f
 Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
 Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
 Latency: 0
 Interrupt: pin A routed to IRQ 44
 Region 0: Memory at e0000000 (64-bit, non-prefetchable) [size=4M]
 Region 2: Memory at d0000000 (64-bit, prefetchable) [size=256M]
 Region 4: I/O ports at 5110 [size=8]
 Expansion ROM at <unassigned> [disabled]
 Capabilities: <access denied>
 Kernel driver in use: i915
 Kernel modules: i915

rkrizan (ryankrizan) wrote :

@Jean Demange,

Try temporarily disabling all the desktop effects, see if that doesn't stop the issue. I can live without the eye candy. I am running in "Classic" mode without the desktop effects, and everything is working as it should.

I am having the same issue on a Dell Latitude e5520m running Ubuntu 11.04 with gnome classic (I did not test this using Unity).

00:02.0 VGA compatible controller: Intel Corporation 2nd Generation Core Processor Family Integrated Graphics Controller (rev 09) (prog-if 00 [VGA controller])
 Subsystem: Dell Device 049a
 Flags: bus master, fast devsel, latency 0, IRQ 42
 Memory at e2800000 (64-bit, non-prefetchable) [size=4M]
 Memory at d0000000 (64-bit, prefetchable) [size=256M]
 I/O ports at 8000 [size=64]
 Expansion ROM at <unassigned> [disabled]
 Capabilities: <access denied>
 Kernel driver in use: i915
 Kernel modules: i915

goniomdq (jose-goni) wrote :

Same problem here, running Unity.
Had it after upgrading from 10.10 so I performed a fresh install and problem persists.
If I switch to a VT and kill compiz then I go back to my desktop and compiz restarts and the desktop resumes operability. Therefore I assume problem is related to compiz. Not sure though.
$lspci -v
00:02.0 VGA compatible controller: Intel Corporation Mobile GM965/GL960 Integrated Graphics Controller (primary) (rev 03) (prog-if 00 [VGA controller])
 Subsystem: Toshiba America Info Systems Device 0002
 Flags: bus master, fast devsel, latency 0, IRQ 46
 Memory at ffc00000 (64-bit, non-prefetchable) [size=1M]
 Memory at e0000000 (64-bit, prefetchable) [size=256M]
 I/O ports at cff8 [size=8]
 Expansion ROM at <unassigned> [disabled]
 Capabilities: <access denied>
 Kernel driver in use: i915
 Kernel modules: intelfb, i915

$lsb_release -a
Distributor ID: Ubuntu
Description: Ubuntu 11.04
Release: 11.04
Codename: natty

$uname -r
2.6.38-8-generic

Bug has been reported more then 2 months ago. Please advice course of action for troubleshooting. More than happy to help find the cause of the issue.

Regards,
José

Changed in ubuntu:
status: New → Confirmed
Ringelkrat (ringelkrat) wrote :
Download full text (9.8 KiB)

Hello all,

I might have reported the same bug, filed as bug #814732, but I am not sure whereas it really is the same bug (see over there for attachments!):

I can not reproduce it certainly. And I do not know if it has to be exactly one minute.

> 1) The release of Ubuntu you are using, via 'lsb_release -rd' or System -> About Ubuntu
Description: Ubuntu 11.04
Release: 11.04
> 2) The version of the package you are using, via 'apt-cache policy pkgname' or by checking in Software Center
xorg:
  Installiert: 1:7.6+4ubuntu3.1
  Kandidat: 1:7.6+4ubuntu3.1
  Versionstabelle:
 *** 1:7.6+4ubuntu3.1 0
        500 http://de.archive.ubuntu.com/ubuntu/ natty-updates/main amd64 Packages
        100 /var/lib/dpkg/status
     1:7.6+4ubuntu3 0
        500 http://de.archive.ubuntu.com/ubuntu/ natty/main amd64 Packages
> 3) What you expected to happen
That when I open the lid the screen is restored and that I can continue to work with Ubuntu.
> 4) What happened instead
The screen has been restored, but I could only move the mouse. Nothing responded in the session (neither to the mouse nor keyboard). But I could restart xorg by CTR+ALT+BACKSPACE. Of course then my session was lost.

$lspci -v
00:00.0 Host bridge: Intel Corporation 2nd Generation Core Processor Family DRAM Controller (rev 09)
 Subsystem: Hewlett-Packard Company Device 161d
 Flags: bus master, fast devsel, latency 0
 Capabilities: <access denied>
 Kernel driver in use: agpgart-intel

00:02.0 VGA compatible controller: Intel Corporation 2nd Generation Core Processor Family Integrated Graphics Controller (rev 09) (prog-if 00 [VGA controller])
 Subsystem: Hewlett-Packard Company Device 161d
 Flags: bus master, fast devsel, latency 0, IRQ 46
 Memory at d4000000 (64-bit, non-prefetchable) [size=4M]
 Memory at c0000000 (64-bit, prefetchable) [size=256M]
 I/O ports at 4000 [size=64]
 Expansion ROM at <unassigned> [disabled]
 Capabilities: <access denied>
 Kernel driver in use: i915
 Kernel modules: i915

00:16.0 Communication controller: Intel Corporation 6 Series Chipset Family MEI Controller #1 (rev 04)
 Subsystem: Hewlett-Packard Company Device 161d
 Flags: bus master, fast devsel, latency 0, IRQ 10
 Memory at d4724000 (64-bit, non-prefetchable) [size=16]
 Capabilities: <access denied>

00:19.0 Ethernet controller: Intel Corporation 82579V Gigabit Network Connection (rev 04)
 Subsystem: Hewlett-Packard Company Device 161d
 Flags: bus master, fast devsel, latency 0, IRQ 44
 Memory at d4700000 (32-bit, non-prefetchable) [size=128K]
 Memory at d472a000 (32-bit, non-prefetchable) [size=4K]
 I/O ports at 4060 [size=32]
 Capabilities: <access denied>
 Kernel driver in use: e1000e
 Kernel modules: e1000e

00:1a.0 USB Controller: Intel Corporation 6 Series Chipset Family USB Enhanced Host Controller #2 (rev 04) (prog-if 20 [EHCI])
 Subsystem: Hewlett-Packard Company Device 161d
 Flags: bus master, medium devsel, latency 0, IRQ 16
 Memory at d4729000 (32-bit, non-prefetchable) [size=1K]
 Capabilities: <access denied>
 Kernel driver in use: ehci_hcd

00:1b.0 Audio device: Intel Corporation 6 Series Chipset Family High Definition Audio Controller (rev 04)
 Subsystem: Hewlett-Packard Company Device 161d
 Flags: ...

deezer (deezerdeezer) wrote :

+1 for #6 "If I swap "Blank Screen" for "Suspend" everything works as it should without any hiccups."

This fixes it for me in the scenario where I close the laptop lid and reopen when I have "blank screen" selected for the close lid action. Suspend works fine and I do not have the issue.

This is with an intel graphics chipset on the eMachines/Acer e525

Sebastian Claros (sclaros) wrote :

I have the same problem, I thougth it was only when I used the virtual machine, but today I was using eclipse and it was the same.
What it's weird it's that I used the mouse for example I loggedin as a Guest User (and opens perfect), but after that I returned to the same black screen. Also I could changed the music, but when I tryed to save my work using Ctrl+S Ctrl+W Ctrl+F4 or whatever I couldn't !!

Dražen Lučanin (kermit666) wrote :

I am experiencing the same problem on my HP 6710b. Graphics:

00:02.0 VGA compatible controller: Intel Corporation Mobile GM965/GL960 Integrated Graphics Controller (primary) (rev 0c) (prog-if 00 [VGA controller])
 Subsystem: Hewlett-Packard Company Compaq 6710b
 Flags: bus master, fast devsel, latency 0, IRQ 47
 Memory at e4600000 (64-bit, non-prefetchable) [size=1M]
 Memory at d0000000 (64-bit, prefetchable) [size=256M]
 I/O ports at 4000 [size=8]
 Expansion ROM at <unassigned> [disabled]
 Capabilities: <access denied>
 Kernel driver in use: i915
 Kernel modules: intelfb, i915

This seems to be a pretty big bug - how come it isn't assigned anywhere yet?

relgames (relgames) wrote :

The same for me on Dell E6500, logs & other info is here: http://askubuntu.com/questions/58360/freezes-when-lid-is-closed-on-a-dell-e6500

philipballew (philipballew) wrote :

This appears to be fixed in 11.10. can someone else confirm?

TomasHnyk (sup) wrote :

It still happens to me on 12.04.

Marcelo Lotif (mlotifjava) wrote :

This happened to me a lot after the upgrade to 12.04, but then it got better after I installed the latest software updates. I can't say it is solved, I saw it a couple of times on the past weeks, but it certainly is better than before...

Yes, it still occurs on my laptop as well... Will this bug ever be traced
:'(

On Wed, Jun 13, 2012 at 2:58 PM, Marcelo Lotif <email address hidden> wrote:

> This happened to me a lot after the upgrade to 12.04, but then it got
> better after I installed the latest software updates. I can't say it is
> solved, I saw it a couple of times on the past weeks, but it certainly
> is better than before...
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/772925
>
> Title:
> Screen freezes after laptop lid closed for more than 1 minute
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+bug/772925/+subscriptions
>

Neil Broadley (scaine) wrote :

It's early days, but I may have fixed this in on my Tosh R900 by using ccsm to change :
OpenGL - "Sync to VBlank" change to Off.
Composite - "Detect Refresh Rate" change to Off. My Refresh rate was 60, which I think is suitable for most laptops.

So far, I've opened the lid twice without issue where before it was regularly freezing.

My settings are those of the original - I'm not suspending, I'm choosing the "Do Nothing" action for lid closed, but I have a lock on the screensaver. Fingers crossed that this remains the case.

rkrizan, thank you for reporting this bug to Ubuntu. Natty reached EOL on October 28, 2012.
See this document for currently supported Ubuntu releases: https://wiki.ubuntu.com/Releases

Is this an issue in a supported release? If so, could you please execute the following command, as it will automatically gather debugging information, in a terminal:
apport-collect 772925

affects: ubuntu → linux (Ubuntu)
Changed in linux (Ubuntu):
importance: Undecided → Low
status: Confirmed → Incomplete
Launchpad Janitor (janitor) wrote :

[Expired for linux (Ubuntu) because there has been no activity for 60 days.]

Changed in linux (Ubuntu):
status: Incomplete → Expired
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers